Bug 846517 - [abrt] python-2.7.3-7.2.fc17: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: Process /usr/bin/python2.7 was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:1f710d9ac8547a8854abc02de99...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 22:51 EDT by Jertel
Modified: 2013-07-31 15:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (95.14 KB, text/plain)
2012-08-07 22:51 EDT, Jertel
no flags Details
File: maps (80.74 KB, text/plain)
2012-08-07 22:51 EDT, Jertel
no flags Details
File: dso_list (16.60 KB, text/plain)
2012-08-07 22:51 EDT, Jertel
no flags Details
File: open_fds (7.48 KB, text/plain)
2012-08-07 22:51 EDT, Jertel
no flags Details

  None (edit)
Description Jertel 2012-08-07 22:51:47 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/bin/python /usr/bin/deluge-gtk
comment:        Deluge had been running for a few hours. Random crash.
executable:     /usr/bin/python2.7
kernel:         3.5.0-2.fc17.x86_64
pid:            17791
pwd:            /home/astroe
remote_result:  NOTFOUND
time:           Tue 07 Aug 2012 02:53:44 PM PDT
uid:            1000
xsession_errors: /usr/lib64/python2.7/site-packages/twisted/internet/gtk2reactor.py:277: GtkWarning: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

backtrace:      Text file, 97428 bytes
dso_list:       Text file, 17000 bytes
maps:           Text file, 82674 bytes
open_fds:       Text file, 7664 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/astroe/1

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x7cd6d _int_malloc libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7fc73 malloc libc.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5f3cd operator libstdc++.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1caeaa boost::asio::detail::reactive_socket_send_op<std::list<boost::asio::const_buffer, libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1cbb08 void libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1cbbd4 void libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1cbc80 void libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1c1a8c libtorrent::peer_connection::setup_send() libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1f5a83 libtorrent::bandwidth_manager<libtorrent::peer_connection>::update_quotas(libtorrent::time_duration libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1e8514 libtorrent::aux::session_impl::on_tick(boost::system::error_code libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1ef0fa boost::asio::detail::wait_handler<boost::_bi::bind_t<void, libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x179a55 boost::asio::detail::task_io_service::run(boost::system::error_code&) libtorrent-rasterbar.so.6 -
:1ef25b7265c2b32b99941c173e0aa3bbe2ded42e 0x1e7938 libtorrent::aux::session_impl::operator()() libtorrent-rasterbar.so.6 -
:8204c5706f973ed4bc31da10506857212670a4ef 0xe709 - libboost_thread-mt.so.1.48.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=CaucasianGangster
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=astroe
:USERNAME=astroe
:MAIL=/var/spool/mail/astroe
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/astroe/.local/bin:/home/astroe/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/astroe
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/astroe
:SHLVL=1
:LOGNAME=astroe
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-l7IxK68EEE,guid=9fef72985c7dac3876984b1e0000001f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/astroe
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-astroe-9Cmo9z/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1070,unix/unix:/tmp/.ICE-unix/1070
:GNOME_KEYRING_CONTROL=/run/user/astroe/keyring-bgUaqP
:GPG_AGENT_INFO=/run/user/astroe/keyring-bgUaqP/gpg:0:1
:SSH_AUTH_SOCK=/run/user/astroe/keyring-bgUaqP/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-deluge.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=17791
:DESKTOP_STARTUP_ID=gnome-shell-1372-CaucasianGangster-deluge-gtk-19_TIME53963449

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62555                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62555                62555                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:General
:=================================
:UUID: c458b350-f7b1-4418-80db-869f25722ef8
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4988.50
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 7840
:System Swap: 7999
:Vendor: Acer
:System: Aspire 5755 V1.17
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5823:4133:1284) pci, None, BASE, N/A
:(32902:7241:4133:1284) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:294:4133:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4133:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4133:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:130:32902:4865) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(5348:5813:4133:1284) pci, tg3, ETHERNET, NetLink BCM57785 Gigabit Ethernet PCIe
:(5348:5820:4133:1284) pci, sdhci-pci, BASE, NetXtreme BCM57765 Memory Card Reader
:(5348:5822:4133:1284) pci, None, BASE, N/A
:(32902:7171:4133:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1284) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:4133:1284) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 241899345 50893086 48472076 60538880 60367736 60367736
:/dev/mmcblk0p1 WITHHELD vfat 16384 16384 62399 59785 59785 0 0 0
:/dev/mmcblk0p2 WITHHELD vfat 16384 16384 62395 61808 61808 0 0 0
:

var_log_messages:
:Aug  5 23:41:27 CaucasianGangster abrt[2140]: Saved core dump of pid 1918 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-05-23:41:26-1918 (115679232 bytes)
:Aug  6 21:43:48 CaucasianGangster kernel: [15368.827182] /usr/bin/deluge[5094] general protection ip:31b068e190 sp:7fff7ca2bc38 error:0 in libpython2.7.so.1.0[31b0600000+16c000]
:Aug  6 21:43:50 CaucasianGangster abrt[5992]: Saved core dump of pid 5094 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-06-21:43:49-5094 (133668864 bytes)
:Aug  7 14:53:47 CaucasianGangster abrt[22749]: Saved core dump of pid 17791 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-07-14:53:44-17791 (130756608 bytes)
Comment 1 Jertel 2012-08-07 22:51:51 EDT
Created attachment 602907 [details]
File: backtrace
Comment 2 Jertel 2012-08-07 22:51:53 EDT
Created attachment 602908 [details]
File: maps
Comment 3 Jertel 2012-08-07 22:51:54 EDT
Created attachment 602909 [details]
File: dso_list
Comment 4 Jertel 2012-08-07 22:51:56 EDT
Created attachment 602910 [details]
File: open_fds
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:04:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:04:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:07:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:15:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:16:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-03 16:10:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 15:39:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.